#include <stdio.h>
#include <drivers/ps2_keyboard.h>
#include <drivers/pit.h>

#include <drivers/irq.h>


void irq_handler(uint8_t irq_number)
{
  switch (irq_number)
  {
    case 0:
      pit_handler();
      break;
    case 1:
      keyboard_handler();
      break;
    default:
      printf("Unhandled IRQ %u\n", irq_number);
      break;
  }
}
